## mx-bootrepair 18.12

=== debian/changelog ===
mx-bootrepair (18.12) mx; urgency=medium

  * update translations

 -- Adrian <adrian@mxlinux.org>  Fri, 28 Dec 2018 11:34:18 -0500

mx-bootrepair (18.11) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 30 Nov 2018 11:39:20 -0500

mx-bootrepair (18.10) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 14 Oct 2018 18:25:57 -0400

mx-bootrepair (18.8.1) mx; urgency=medium

  * fix icons for other themes

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Aug 2018 15:58:52 -0400

mx-bootrepair (18.8) mx; urgency=medium

  * it should handle now nvme and mmcblk devices

 -- Adrian <adrian@mxlinux.org>  Wed, 01 Aug 2018 15:27:02 -0400

mx-bootrepair (18.6.2) mx; urgency=medium

  * fix bug: message box in wrong place

 -- Adrian <adrian@mxlinux.org>  Thu, 28 Jun 2018 18:00:13 -0400

mx-bootrepair (18.6.1) mx; urgency=medium

  * add changelog button
  * fix displaying program version for non-EN locale

 -- Adrian <adrian@mxlinux.org>  Sat, 23 Jun 2018 17:32:03 -0400

mx-bootrepair (18.6) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 18 Jun 2018 12:28:23 -0400

mx-bootrepair (18.3) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Mar 2018 09:16:48 -0500

mx-bootrepair (18.1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sat, 10 Feb 2018 01:33:57 -0500

mx-bootrepair (17.12+1) mx; urgency=medium

  * Spanish translation update
  * Fix Franch help link

 -- Adrian <adrian@mxlinux.org>  Mon, 11 Dec 2017 22:29:38 -0500

mx-bootrepair (17.12) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 04 Dec 2017 14:26:35 -0500

mx-bootrepair (17.11+2) mx; urgency=medium

  * display Help and GUI at the same time

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Nov 2017 13:19:49 -0500

mx-bootrepair (17.11+1) mx; urgency=medium

  * fix FR detection

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Nov 2017 18:27:12 -0500

mx-bootrepair (17.11) mx; urgency=medium

  * add FR help link

 -- Adrian <adrian@mxlinux.org>  Fri, 10 Nov 2017 12:00:07 -0500

mx-bootrepair (17.10) mx; urgency=medium

  * new icon

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Oct 2017 12:28:35 -0400

mx-bootrepair (17.8+2) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 23 Aug 2017 08:34:28 -0400

mx-bootrepair (17.8+1) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Aug 2017 23:00:12 -0400

mx-bootrepair (17.8mx16) mx; urgency=medium

  * added ESP installation support

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Aug 2017 01:12:45 -0400

mx-bootrepair (17.6mx16) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Fri, 02 Jun 2017 13:04:15 -0400

mx-bootrepair (17.5mx16) mx; urgency=medium

  * button icons follow theme choice

 -- Adrian <adrian@mxlinux.org>  Tue, 09 May 2017 14:58:45 -0400

mx-bootrepair (17.3mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Thu, 30 Mar 2017 09:41:39 -0400

mx-bootrepair (16.11mx16+1) mx; urgency=medium

  * FR translations

 -- Adrian <adrian@mxlinux.org>  Wed, 30 Nov 2016 10:31:08 -0500

mx-bootrepair (16.11mx16) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Wed, 16 Nov 2016 11:37:32 -0500

mx-bootrepair (16.10mx16) mx; urgency=medium

  * changed URLs

 -- Adrian <adrian@mxlinux.org>  Mon, 10 Oct 2016 10:30:14 -0400

mx-bootrepair (16.6mx15) mx; urgency=medium

  * minor fix

 -- Adrian <adrian@mxlinux.org>  Mon, 06 Jun 2016 17:44:22 -0400

mx-bootrepair (16.5mx15) mx; urgency=medium

  * new desktop file

 -- dolphinoracle <dolphinoracle@gmail.com>  Sun, 22 May 2016 21:21:35 -0400

mx-bootrepair (15.12mx15) mx; urgency=medium

  * added --target=i386-pc

 -- Adrian <adrian@mxlinux.org>  Tue, 22 Dec 2015 17:35:55 -0500

mx-bootrepair (15.11mx15) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Mon, 30 Nov 2015 09:28:23 -0500

mx-bootrepair (15.10mx15) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 23 Oct 2015 15:58:37 -0400

mx-bootrepair (15.7.1mx15) mx; urgency=medium

  * new URL for documentation

 -- Adrian <adrian@mxlinux.org>  Thu, 09 Jul 2015 17:38:38 -0400

mx-bootrepair (15.7mx15) mx; urgency=medium

  * changed to qt5

 -- Adrian <adrian@mxlinux.org>  Tue, 30 Jun 2015 12:15:47 -0400

mx-bootrepair (15.6mx14) mx; urgency=medium

  * changed documentation URL

 -- Adrian <adrian@mxlinux.org>  Wed, 03 Jun 2015 11:13:39 -0400

mx-bootrepair (15.4mx14) mx; urgency=medium

  * added Polish translation

 -- Adrian <adrian@mxlinux.org>  Mon, 20 Apr 2015 19:55:41 -0400

mx-bootrepair (15.3mx14) mx; urgency=medium

  * changed help URL

 -- Adrian <adrian@mxlinux.org>  Fri, 20 Mar 2015 16:48:47 -0400

mx-bootrepair (15.2) mx; urgency=medium

  * added new help URL

 -- Adrian <adrian@mxlinux.org>  Sun, 15 Feb 2015 10:24:40 -0500

mx-bootrepair (15.1) mx; urgency=medium

  * added Japanese and Catalan to .desktop

 -- Adrian <adrian@mxlinux.org>  Tue, 27 Jan 2015 11:14:11 -0500

mx-bootrepair (14.3+1) mx; urgency=low

  * retranslated stings, ready for point release

 -- Adrian <adrian@mxlinux.org>  Thu, 06 Nov 2014 00:43:31 -0500

mx-bootrepair (14.2+1) mx; urgency=low

  * fixed dependency typo, chaged version format

 -- Adrian <adrian@mxlinux.org>  Tue, 30 Sep 2014 19:25:25 -0400

mx-bootrepair (0.14.1mx141+3) mx; urgency=low

  * minor changes

 -- Adrian <adrian@mxlinux.org>  Wed, 25 Jun 2014 10:10:58 -0400

mx-bootrepair (0.14.1mx141+2) mx; urgency=low

  * update languages

 -- Adrian <adrian@mxlinux.org>  Tue, 17 Jun 2014 13:40:20 -0400

mx-bootrepair (0.3mx140+2) mx; urgency=low

  * update grub.cfg another partitions

 -- Adrian <adrian@mx1>  Sat, 19 Apr 2014 11:26:16 -0400

mx-bootrepair (0.2mx140+1) mx; urgency=low

  * added MBR/PBR save and restore options


