=== debian/control ===
Source: mx-bootrepair
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: qt5-qmake,
	qt5-default,
	qttools5-dev-tools,
	debhelper (>=9),
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-bootrepair

Package: mx-bootrepair
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, grub-pc, mx-viewer|xdg-utils, menu, gzip
Description: MX program to help with repair of boot problems.
 MX-bootrepair helps with the repair of boot problems.
