## mx-bootrepair 19.2

=== debian/changelog ===
mx-bootrepair (19.2) mx; urgency=medium

  * updated translations

 -- Adrian <adrian@mxlinux.org>  Sun, 17 Feb 2019 22:27:20 -0500
