## mx-bootrepair 19.7

=== debian/changelog ===
mx-bootrepair (19.7) mx; urgency=medium

  * fix window buttons for Buster

 -- Adrian <adrian@mxlinux.org>  Sun, 07 Jul 2019 13:22:49 -0400
