=== debian/control ===
Source: mx-bootrepair
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
Standards-Version: 3.9.8
Vcs-Git: git://github.com/AdrianTM/mx-bootrepair

Package: mx-bootrepair
Architecture: any
Depends: grub-pc,
         gzip,
         menu,
         mx-viewer | xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MX program to help with repair of boot problems.
 MX-bootrepair helps with the repair of boot problems.
