## mx-bootrepair 19.7.1

=== debian/changelog ===
mx-bootrepair (19.7.1) mx; urgency=medium

  * update icon

 -- Adrian <adrian@mxlinux.org>  Mon, 08 Jul 2019 11:12:09 -0400
