## mx-bootrepair 19.8

=== debian/changelog ===
mx-bootrepair (19.8) mx; urgency=medium

  * added offline help file

 -- Adrian <adrian@mxlinux.org>  Wed, 21 Aug 2019 13:31:04 -0400
