## mx-bootrepair 19.9

=== debian/changelog ===
mx-bootrepair (19.9) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Sun, 01 Sep 2019 00:47:42 -0400
