## mx-bootrepair 19.9.01

=== debian/changelog ===
mx-bootrepair (19.9.01) mx; urgency=medium

  * new translations

 -- Adrian <adrian@mxlinux.org>  Fri, 27 Sep 2019 15:13:30 -0400
