## mx-bootrepair 19.10.02

=== debian/changelog ===
mx-bootrepair (19.10.02) mx; urgency=medium

  * mount /boot/efi if on different partition when reparing grub.cfg

 -- Adrian <adrian@mxlinux.org>  Mon, 21 Oct 2019 15:12:03 -0400

mx-bootrepair (19.10.01) mx; urgency=medium

  * fix window icon
  * change wording for location when fixing grub.cfg

 -- Adrian <adrian@mxlinux.org>  Mon, 21 Oct 2019 12:36:07 -0400

mx-bootrepair (19.10) mx; urgency=medium

  * new feature: works on luks encrypted partitions
  * fix: works when /boot not on root 
  * fix: works when targetting running root system

 -- Adrian <adrian@mxlinux.org>  Sat, 19 Oct 2019 19:30:22 -0400
