## mx-bootrepair 19.10.03

=== debian/changelog ===
mx-bootrepair (19.10.03) mx; urgency=medium

  * fix localization

 -- Adrian <adrian@mxlinux.org>  Mon, 28 Oct 2019 17:34:29 -0400
