=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: admin
 Priority: optional
 Maintainer: Adrian <adrian@mxlinux.org>
-Build-Depends: debhelper (>=9), qt5-default, qt5-qmake, qttools5-dev-tools
+Build-Depends: debhelper (>=9), 
+	qtbase5-dev, 
+	qttools5-dev-tools
 Standards-Version: 3.9.8
 Vcs-Git: git://github.com/AdrianTM/mx-bootrepair
 
 Package: mx-bootrepair
 Architecture: any
 Depends: grub-pc,
-         gzip,
          menu,
          mx-viewer | xdg-utils,
          ${misc:Depends},
