## mx-bootrepair 19.10.05

=== debian/changelog ===
mx-bootrepair (19.10.05) mx; urgency=medium

  * translation update

 -- Adrian <adrian@mxlinux.org>  Thu, 31 Oct 2019 00:34:47 -0400

mx-bootrepair (19.10.04) mx; urgency=medium

  * fix help link

 -- Adrian <adrian@mxlinux.org>  Tue, 29 Oct 2019 14:11:11 -0400
