## mx-bootrepair 21.3

=== debian/changelog ===
mx-bootrepair (21.3) mx; urgency=medium

  * mount efivars before installing GRUB

 -- Adrian <adrian@mxlinux.org>  Mon, 15 Mar 2021 09:42:16 -0400
