## mx-bootrepair 21.3.03

=== debian/changelog ===
mx-bootrepair (21.3.03) mx; urgency=medium

  * adjust /dev/udev in chroot to make update-grub work

 -- fehlix <fehlix@mxlinux.org>  Sat, 20 Mar 2021 18:17:45 -0400
