## mx-bootrepair 22.3.04

=== debian/changelog ===
mx-bootrepair (22.3.04) mx; urgency=medium

  * adjust mount/umount for chroot
  * add detection of invalid entries in fstab
  * fix device selection
  * add fallback efi to grub-install

 -- Adrian <adrian@mxlinux.org>  Thu, 10 Mar 2022 21:58:08 -0500
