## mx-bootrepair 22.76.01

=== debian/changelog ===
mx-bootrepair (22.76.01) mx; urgency=medium

  * Fix: add alternative for LUKS detection

 -- Adrian <adrian@mxlinux.org>  Wed, 15 Jun 2022 22:28:55 -0400
