## mx-bootrepair 22.76.03

=== debian/changelog ===
mx-bootrepair (22.76.03) mx; urgency=medium

  * translation refresh

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Sat, 23 Jul 2022 11:15:56 -0400

mx-bootrepair (22.76.02) mx; urgency=medium

  * Remove not needed --qtenv annotation pkexec policy
  * Adjust pkexec/sudo environment parameter
  * Fix EFI System Partition detection on dos/mbr partition table

 -- fehlix <fehlix@mxlinux.org>  Mon, 04 Jul 2022 17:35:09 -0400
