## mx-bootrepair 22.82

=== debian/changelog ===
mx-bootrepair (22.82) mx; urgency=medium

  * update translations 

 -- Dolphin Oracle <dolphinoracle@gmail.com>  Wed, 26 Oct 2022 19:57:13 -0400

mx-bootrepair (22.81) mx; urgency=medium

  * Fix: launching documents from Help (fixes a problem in Plasma) 

 -- Adrian <adrian@mxlinux.org>  Mon, 22 Aug 2022 19:13:01 -0400
