## mx-bootrepair 23.3

=== debian/changelog ===
mx-bootrepair (23.3) mx; urgency=medium

  * Added checks to make sure install location and root are selected
  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sun, 19 Mar 2023 09:41:58 -0400
