## mx-bootrepair 23.5

=== debian/changelog ===
mx-bootrepair (23.5) mx; urgency=medium

  * Use major release number for the UEFI entry (just like the installer)

 -- Adrian <adrian@mxlinux.org>  Mon, 01 May 2023 20:56:14 -0400
