## mx-bootrepair 23.5.01

=== debian/changelog ===
mx-bootrepair (23.5.01) mx; urgency=medium

  * Update logo 

 -- Adrian <adrian@mxlinux.org>  Wed, 17 May 2023 18:21:22 -0400
