## mx-bootrepair 23.11.01

=== debian/changelog ===
mx-bootrepair (23.11.01) mx; urgency=medium

  * Fix changelog location
  * Prompt once for elevation when closing the app

 -- Adrian <adrian@mxlinux.org>  Sat, 11 Nov 2023 15:07:48 -0500
