## mx-bootrepair 24.4

=== debian/changelog ===
mx-bootrepair (24.4) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Sat, 20 Apr 2024 10:38:42 -0400
