## mx-bootrepair 25.4

=== debian/changelog ===
mx-bootrepair (25.4) mx; urgency=medium

  * Add regenerate initramfs option

 -- Adrian <adrian@mxlinux.org>  Sun, 13 Apr 2025 22:19:28 -0400
