## mx-bootrepair 25.4.01

=== debian/changelog ===
mx-bootrepair (25.4.01) mx; urgency=medium

  * Remove need for elevation when clicking Next
  * Remove need for elevation when closing app
  * Rename "Apply" button to "Next" for clairity

 -- Adrian <adrian@mxlinux.org>  Mon, 14 Apr 2025 12:22:04 -0400
