=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Package: mx-bootrepair
 Architecture: any
 Depends: grub-pc,
-         menu,
          mx-viewer | xdg-utils,
          ${misc:Depends},
          ${shlibs:Depends}
