=== debian/control ===
Source: mx-bootrepair
Section: admin
Priority: optional
Maintainer: Adrian <adrian@mxlinux.org>
Build-Depends: debhelper-compat (= 13),
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 3.9.8
Homepage: https://github.com/mxlinux/mx-bootrepair
Vcs-Git: https://github.com/mxlinux/mx-bootrepair.git
Vcs-Browser: https://github.com/mxlinux/mx-bootrepair

Package: mx-bootrepair
Architecture: any
Depends: grub-pc,
         mx-viewer | xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Description: GUI for repairing boot problems
 A user-friendly graphical interface that allows users to:
  * Repair GRUB bootloader issues
  * Fix common boot configuration problems
  * Restore system boot functionality
 .
