## mx-bootrepair 25.09.3

=== debian/changelog ===
mx-bootrepair (25.09.3) mx; urgency=medium

  * Update translations

 -- Adrian <adrian@mxlinux.org>  Tue, 09 Sep 2025 12:56:48 -0400
