## mx-bootrepair 26.02.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,17 +22,37 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-# Get version from debian/changelog
-execute_process(
-    COMMAND dpkg-parsechangelog -SVersion
-    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
-    OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
-    OUTPUT_STRIP_TRAILING_WHITESPACE
-    RESULT_VARIABLE DPKG_RESULT
-)
-
-if(NOT DPKG_RESULT EQUAL 0)
-    message(FATAL_ERROR "Failed to get version from debian/changelog using dpkg-parsechangelog")
+set(PROJECT_VERSION_FROM_CHANGELOG "")
+
+if(DEFINED PROJECT_VERSION_OVERRIDE AND NOT "${PROJECT_VERSION_OVERRIDE}" STREQUAL "")
+    set(PROJECT_VERSION_FULL "${PROJECT_VERSION_OVERRIDE}")
+    # Strip non-numeric suffix (e.g. "26.01arch" -> "26.01") for CMake VERSION compatibility
+    string(REGEX REPLACE "[^0-9.].*$" "" PROJECT_VERSION_FROM_CHANGELOG "${PROJECT_VERSION_FULL}")
+    message(STATUS "Using version override: ${PROJECT_VERSION_FULL} (CMake version: ${PROJECT_VERSION_FROM_CHANGELOG})")
+else()
+    # Try dpkg-parsechangelog first (Debian/Ubuntu)
+    execute_process(
+        COMMAND dpkg-parsechangelog -SVersion
+        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
+        OUTPUT_VARIABLE PROJECT_VERSION_FROM_CHANGELOG
+        OUTPUT_STRIP_TRAILING_WHITESPACE
+        RESULT_VARIABLE DPKG_RESULT
+        ERROR_QUIET
+    )
+
+    if(DPKG_RESULT EQUAL 0 AND NOT "${PROJECT_VERSION_FROM_CHANGELOG}" STREQUAL "")
+        message(STATUS "Using version from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
+    elseif(EXISTS ${CMAKE_SOURCE_DIR}/debian/changelog)
+        file(READ ${CMAKE_SOURCE_DIR}/debian/changelog PROJECT_CHANGELOG_CONTENT)
+        string(REGEX MATCH "^[^\\(]*\\(([^)]+)\\)" _match "${PROJECT_CHANGELOG_CONTENT}")
+        if(NOT _match)
+            message(FATAL_ERROR "Could not parse version from debian/changelog")
+        endif()
+        set(PROJECT_VERSION_FROM_CHANGELOG "${CMAKE_MATCH_1}")
+        message(STATUS "Using version parsed from debian/changelog: ${PROJECT_VERSION_FROM_CHANGELOG}")
+    else()
+        message(FATAL_ERROR "Could not determine version: dpkg-parsechangelog not available and debian/changelog missing")
+    endif()
 endif()
 
 project(mx-boot-repair
@@ -40,6 +60,13 @@
     DESCRIPTION "MX Boot Repair - GUI for repairing boot problems"
     LANGUAGES CXX
 )
+
+# Use the full version string (with suffix like "arch") if available, otherwise use CMake's numeric version
+if(DEFINED PROJECT_VERSION_FULL)
+    set(PROJECT_DISPLAY_VERSION "${PROJECT_VERSION_FULL}")
+else()
+    set(PROJECT_DISPLAY_VERSION "${PROJECT_VERSION}")
+endif()
 
 # Set C++ standard
 set(CMAKE_CXX_STANDARD 20)
@@ -179,7 +206,7 @@
 target_compile_definitions(mx-boot-repair PRIVATE
     QT_DEPRECATED_WARNINGS
     QT_DISABLE_DEPRECATED_BEFORE=0x060000
-    VERSION="${PROJECT_VERSION}"
+    VERSION="${PROJECT_DISPLAY_VERSION}"
 )
 
 # Release-specific optimizations
@@ -227,7 +254,7 @@
     target_compile_definitions(mx-boot-repair-cli PRIVATE
         QT_DEPRECATED_WARNINGS
         QT_DISABLE_DEPRECATED_BEFORE=0x060000
-        VERSION="${PROJECT_VERSION}"
+        VERSION="${PROJECT_DISPLAY_VERSION}"
     )
 
     set_target_properties(mx-boot-repair-cli PROPERTIES
